std::chrono::utc_clock Class Reference
Utilities » Time

`#include <chrono>`

## Public Types

using | duration
using | period
using | rep
using | time_point

## Static Public Member Functions

template<typename _Duration>
static utc_time< common_type_t< _Duration, seconds > > | from_sys (const sys_time< _Duration > &__t)
static time_point | now ()
template<typename _Duration>
static sys_time< common_type_t< _Duration, seconds > > | to_sys (const utc_time< _Duration > &__t)

## Static Public Attributes

static constexpr bool | is_steady

## Detailed Description

A clock that measures Universal Coordinated Time (UTC).

The epoch is 1970-01-01 00:00:00.

Since
  C++20

Definition at line 132 of file chrono.

## Member Typedef Documentation

## duration

using std::chrono::utc_clock::duration

Definition at line 137 of file chrono.

## period

using std::chrono::utc_clock::period

Definition at line 136 of file chrono.

## rep

using std::chrono::utc_clock::rep

Definition at line 135 of file chrono.

## time_point

using std::chrono::utc_clock::time_point

Definition at line 138 of file chrono.

## Member Function Documentation

## now()

time_point std::chrono::utc_clock::now | ( |  | ) |

inline static nodiscard

Definition at line 143 of file chrono.

## to_sys()

template<typename _Duration>

sys_time< common_type_t< _Duration, seconds > > std::chrono::utc_clock::to_sys | ( | const utc_time< _Duration > & | __t | ) |

inline static nodiscard

Definition at line 149 of file chrono.

## Member Data Documentation

## is_steady

bool std::chrono::utc_clock::is_steady

static constexpr

Definition at line 139 of file chrono.

The documentation for this class was generated from the following file:

- chrono